## class OSGDB_EXPORT osgDB::FieldReader

### Public Methods

FieldReader()
FieldReader(const FieldReader& ic)
virtual ~FieldReader()
virtual FieldReader& operator = (const FieldReader& ic)
void attach(std::istream* input)
void detach()
virtual bool eof() const
bool readField(Field& fieldPtr)
void ignoreField()
int getNoNestedBrackets() const
  no of unmatched `{' encountered so far in file

## Documentation

`FieldReader()`

`FieldReader(const FieldReader& ic)`

`virtual ~FieldReader()`

`virtual FieldReader& operator = (const FieldReader& ic)`

`void attach(std::istream* input)`

`void detach()`

`virtual bool eof() const`

`bool readField(Field& fieldPtr)`

`void ignoreField()`

`int getNoNestedBrackets() const`
  no of unmatched `{' encountered so far in file

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.